package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2018/11/16
 */
public class AddBankCardReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "name", value = "持卡人", required = true)
	private String name;
	@ApiModelProperty(name = "cardNumber", value = "卡号", required = true)
	private String cardNumber;
	@ApiModelProperty(name = "bankName", value = "开户银行", required = true)
	private String bankId;
	@ApiModelProperty(name = "bankBranch", value = "开户支行", required = true)
	private String bankBranch;
	@ApiModelProperty(name = "bankDistrict", value = "开户地区", required = true)
	private String bankDistrict;
	@ApiModelProperty(name = "phoneNumber", value = "手机号", required = true)
	private String phoneNumber;
	@ApiModelProperty(name = "code", value = "验证码", required = true)
	private String code;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(String cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getBankId() {
		return bankId;
	}

	public void setBankId(String bankId) {
		this.bankId = bankId;
	}

	public String getBankBranch() {
		return bankBranch;
	}

	public void setBankBranch(String bankBranch) {
		this.bankBranch = bankBranch;
	}

	public String getBankDistrict() {
		return bankDistrict;
	}

	public void setBankDistrict(String bankDistrict) {
		this.bankDistrict = bankDistrict;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
